%define name pilotmgr
%define version 1.107
%define release 5mdk

Summary:	PilotManager - synchronization suite for the 3com Palm
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Distributable
Group:		Communications
Source0:	latest.dev.tar.bz2
Patch0:		pilotmgr-1.107-rh.patch.bz2
URL:		http://www.moshpit.org/pilotmgr
Buildroot:	%{_tmppath}/%{name}-buildroot
Requires: 	perl => 5.005 perl-Tk >= 400.202 pilot-link

%description
synchronization suite for the 3com Palm and compatible products.

You need to have a pilot-link installation with perl support.  See if you've
got /usr/lib/perl5/site_perl/site_perl/*/PDA.  If you don't, you don't have it.

%package contrib
Summary: User contributions for PilotManager
Group: Communications

%description contrib
User contributions for PilotManager

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n pilotmgr
%patch0 -p1

%build
sh Setup
cp contrib/bodo-bellut/EditAB.pl .
cp contrib/bodo-bellut/TkAB.pm .

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/PilotManager
mkdir -p $RPM_BUILD_ROOT%{_libdir}/PilotManager/images
mkdir -p $RPM_BUILD_ROOT%{_libdir}/PilotManager/docs
mkdir -p $RPM_BUILD_ROOT%{_bindir}

install -m 644 Backup.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/Backup.pm
install -m 644 Installer.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/Installer.pm
install -m 644 SendMail.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/SendMail.pm
install -m 644 SyncAB.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/SyncAB.pm
install -m 644 SyncFood.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/SyncFood.pm
install -m 644 SyncMemo.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/SyncMemo.pm
install -m 644 SyncPlan.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/SyncPlan.pm
install -m 644 SyncTime.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/SyncTime.pm
install -m 755 PilotMgr.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/PilotMgr.pm
install -m 644 COPYRIGHT $RPM_BUILD_ROOT%{_libdir}/PilotManager/COPYRIGHT
install -m 644 TkAB.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/TkAB.pm
install -m 755 EditAB.pl $RPM_BUILD_ROOT%{_bindir}/EditAB
cd lib/perl5
install -m 644 MultiFileSelect.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/MultiFileSelect.pm
install -m 644 PilotSync.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/PilotSync.pm
install -m 644 TkUtils.pm $RPM_BUILD_ROOT%{_libdir}/PilotManager/TkUtils.pm
cd ../images
install -m 644 hotsync.gif $RPM_BUILD_ROOT%{_libdir}/PilotManager/images/hotsync.gif
install -m 644 pilotmgr.gif $RPM_BUILD_ROOT%{_libdir}/PilotManager/images/pilotmgr.gif
install -m 644 pilotmgr.icon $RPM_BUILD_ROOT%{_libdir}/PilotManager/images/pilotmgr.icon
install -m 644 pilotmgr.xpm2 $RPM_BUILD_ROOT%{_libdir}/PilotManager/images/pilotmgr.xpm2
cd ../../docs
install -m 644 AnncAlias.txt $RPM_BUILD_ROOT%{_libdir}/PilotManager/docs/AnncAlias.txt
install -m 644 Conduit.api $RPM_BUILD_ROOT%{_libdir}/PilotManager/docs/Conduit.api
install -m 644 DiscAlias.txt $RPM_BUILD_ROOT%{_libdir}/PilotManager/docs/DiscAlias.txt
install -m 644 SyncPlan.help $RPM_BUILD_ROOT%{_libdir}/PilotManager/docs/SyncPlan.help
install -m 644 WelcomeMessage $RPM_BUILD_ROOT%{_libdir}/PilotManager/docs/WelcomeMessage
cd ..
cp -pr contrib $RPM_BUILD_ROOT%{_libdir}/PilotManager/
ln -s /usr/lib/PilotManager/PilotMgr.pm $RPM_BUILD_ROOT%{_bindir}/PilotManager

%files
%defattr(-, root, root)
%dir %{_libdir}/PilotManager
%{_libdir}/PilotManager/*.pm

%dir %{_libdir}/PilotManager/images
%{_libdir}/PilotManager/images/*

%dir %{_libdir}/PilotManager/docs
%{_libdir}/PilotManager/docs/*

%{_libdir}/PilotManager/COPYRIGHT

%{_bindir}/*

%doc COPYRIGHT ChangeLog README README.porting

%files contrib
%defattr(-,root,root)
%{_libdir}/PilotManager/contrib/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.107-5mdk
- rebuild

* Wed Jan 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.107-4mdk
- rebuild

* Thu Sep 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.107-3mdk
- macros

* Thu Jul 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.107-2mdk
- clean spec

* Sat Jul 08 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.107-1mdk
- First Mandrake package

* Thu Jun 08 2000 Kenichi Matsubara <m@kondara.org>
- %defattr

* Wed Feb 23 2000 Kazuyuki Funada <fun@shikoku.ne.jp>
- 1k3 remove perl-MD5 from Requires section
* Mon Jan 24 2000 Kazuyuki Funada <fun@shikoku.ne.jp>
- 1k2 Fix install problem

* Fri Jan 14 2000 Kazuyuki Funada <fun@shikoku.ne.jp>
- Japanese version. Address editor included.
- 1st release
